%define module X11

Name: haskell-%{module}
Version: 1.4.1
Release: %mkrel 5
Summary: A binding to the X11 graphics library
Group: Development/Other
License: BSD3
Url: http://hackage.haskell.org/cgi-bin/hackage-scripts/package/%{module}
Source: http://hackage.haskell.org/cgi-bin/hackage-scripts/package/%{module}/%{module}-%{version}.tar.gz
BuildRoot: %_tmppath/%name-%version-%release-root
BuildRequires: haskell-macros
BuildRequires: ghc
BuildRequires: haddock
BuildRequires: X11-devel

%description
A Haskell binding to the X11 graphics library.

The binding is a direct translation of the C binding; for
documentation of these calls, refer to "The Xlib Programming
Manual", available online at <http://tronche.com/gui/x/xlib/>.

%prep
%setup -q -n %{module}-%{version}

%build
%_cabal_build

%_cabal_genscripts

%check
%_cabal_check

%install
%_cabal_install

rm -fr %{buildroot}/%_datadir/*/doc/

%_cabal_rpm_gen_deps

%_cabal_scriptlets

%files
%defattr(-,root,root)
%{_docdir}/%{module}-%{version}/*
%_libdir/*
%_cabal_rpm_files

%clean
rm -fr %buildroot


%changelog
* Wed Sep 03 2008 Jérôme Soyer <saispo@mandriva.org> 1.4.1-5mdv2009.0
+ Revision: 279716
- Rebuild for latest ghc

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Wed Jan 09 2008 Jérôme Soyer <saispo@mandriva.org> 1.4.1-2mdv2008.1
+ Revision: 147292
- Bump Release
- Add BR
- import haskell-X11


